Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 27 Sep 2020 09:23:49 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I would like to file a complaint regarding the way stores are operated during rush hours, one store store in particular:

Ar Rabwah, Jeddah 23446, Saudi Arabia.

During a rush hour, one customer held the line for more than an a hour because she was processing several invoices for orders other her own- carts worth of orders- with the cashier's staff blessing!!

When I was trying to find the manager to complain, he was no where to be found and the rest of the staff didn't act to resolve the situation. This experience is a deal breaker for me since my wife is 3-months pregnant and if anything would happen I will hold Center Point liabil for it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1518879